Content: Slate Blackcurrant Watermelon Strawberry Orange Banana Apple Emerald Chocolate Marble
Background: Slate Blackcurrant Watermelon Strawberry Orange Banana Apple Emerald Chocolate Marble
Pattern: Blank Waves Notes Sharp Wood Rockface Leather Honey Vertical Triangles
Welcome to TerraFirmaCraft Forums

Register now to gain access to all of our features. Once registered and logged in, you will be able to contribute to this site by submitting your own content or replying to existing content. You'll be able to customize your profile, receive reputation points as a reward for submitting content, while also communicating with other members via your own private inbox, plus much more! This message will be removed once you have signed in.

  • Announcements

    • Dries007

      Server Move   09/13/2018

      I (Dries007) have recently taken over as main developer and server admin. This involved moving servers to reduce cost. It's likely there will be some more downtime in the future but most  things should be sorted by now. This forum is in dire need of replacement as the software is quite old and can't be easily updated. If you wish to discuss or stay updated, join our discord: https://invite.gg/terrafirmacraft. The forum will remain available to read, but will be locked in the future, when a new system is setup. The forum and wiki are now ad free. If you'd like to contribute to keeping it that way, you can do so via paypal or patreon.
    • Dries007

      ATTENTION Forum Database Breach   03/04/2019

      There has been a breach of our database. Please make sure you change your password (use a password manager, like Lastpass).
      If you used this password anywhere else, change that too! The passwords themselves are stored hashed, but may old accounts still had old, insecure (by today's standards) hashes from back when they where created. This means they can be "cracked" more easily. Other leaked information includes: email, IP, account name.
      I'm trying my best to find out more and keep everyone up to date. Discord (http://invite.gg/TerraFirmaCraft) is the best option for up to date news and questions. I'm sorry for this, but the damage has been done. All I can do is try to make sure it doesn't happen again.
Sign in to follow this  
Followers 0
Shadeslate

I cannot connect to any servers: Fml not most recent version?

10 posts in this topic

So whenever I try to install TFC, I follow the instructions given on the main webpage.

Client/Server Installation

  • (Optional) When upgrading delete your configs to fix any change of id errors.
  • Install the latest recommended Forge Universal into your jar file. For best results, use the version of forge that TFC was compiled on.
  • Install PlayerAPI
  • Place TFCraft_Universal into your Minecraft mods folder after installing the prerequisites.
  • Be Awesome!

Well I install "Forge Universal" into the .jar file like normal.

I have tried installing the "Latest" Build, the "Recommended" build.

After that, I install PlayerAPI. I don't see it in the list of "Mods" in the Mods tab in Minecraft, but maybe it isn't supposed to be there, who knows.

After that, I place TFCraft_Universal in the Mods folder as told.

Now the problem is whenever I play single player, the game works fine. Serious fps issues, as expected, but the game LOADS just fine. I can play it, all the items work just fine, no real bugs.

Whenever I try to log into a server, any server that runs TFC, I always get the same error:

I don't have the most recent / updated version of FML.

FML = Forge Mod Loader, a mod installed with some other mods when you install Forge Universal.

But I install the most recent Forge Universal builds, I have tried both the Latest and Recommended build, and this issue hasn't been resolved.

So what do?

0

Share this post


Link to post
Share on other sites

This probably happens because your Forge version is not the same as Server Forge version.

0

Share this post


Link to post
Share on other sites

I haven't tested this theory, but I think you might get the "not new enough" error even though the real problem is it's not OLD enough. TFC is compiled against 6.4.0.395, which is now fairly old, but some servers will still run it unless there's some other mod they're using that requires newer.

0

Share this post


Link to post
Share on other sites

Wait a second... that makes perfect sense. I'm going to try that RIGHT NOW.

How do I get older versions though?

0

Share this post


Link to post
Share on other sites

Forge made a version update yesterday from Build 6.4.?.? to Build 6.5.?.?

I don't think they work very well together.

0

Share this post


Link to post
Share on other sites

They did, what of it to you? We are still supposed to be using 6.4.0.395 anyway.

0

Share this post


Link to post
Share on other sites

I know that... i'm just saying that you get this FML error when you mix build 6.4.?.? with 6.5.?.?

The best forge build choice is allways the one it was made with.

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0